Mailinglist Archive: opensuse-updates (123 mails)

< Previous Next >
openSUSE-SU-2017:2708-1: moderate: Security update for libvirt
openSUSE Security Update: Security update for libvirt
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:2708-1
Rating: moderate
References: #1012143 #1017189 #1031056 #1036785 #1048783
#1049505 #1051017 #1052151 #1053600
Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that contains security fixes can now be installed.

Description:

This update for libvirt fixes several issues.

This security issue was fixed:

- bsc#1053600: Escape ssh commed line to prevent interpreting malicious
hostname as arguments, allowing for command execution

These non-security issues were fixed:

- bsc#1049505, bsc#1051017: Security manager: Don't autogenerate seclabels
of type 'none' when AppArmor is inactive
- bsc#1052151: Moved /usr/share/libvirt/libvirtLogo.png symlink from
client to doc subpackage, where its target resides
- bsc#1048783: Ignore newlines in libvirt-guests.sh guest list
- bsc#1031056: Add default controllers for USB devices
- bsc#1012143: Define path to parted using autoconf cache variable. parted
is used for management of disk-based storage pools
- bsc#1036785: Prevent output of null target in domxml-to-native

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1149=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

libvirt-2.0.0-13.9.1
libvirt-client-2.0.0-13.9.1
libvirt-client-debuginfo-2.0.0-13.9.1
libvirt-daemon-2.0.0-13.9.1
libvirt-daemon-config-network-2.0.0-13.9.1
libvirt-daemon-config-nwfilter-2.0.0-13.9.1
libvirt-daemon-debuginfo-2.0.0-13.9.1
libvirt-daemon-driver-interface-2.0.0-13.9.1
libvirt-daemon-driver-interface-debuginfo-2.0.0-13.9.1
libvirt-daemon-driver-lxc-2.0.0-13.9.1
libvirt-daemon-driver-lxc-debuginfo-2.0.0-13.9.1
libvirt-daemon-driver-network-2.0.0-13.9.1
libvirt-daemon-driver-network-debuginfo-2.0.0-13.9.1
libvirt-daemon-driver-nodedev-2.0.0-13.9.1
libvirt-daemon-driver-nodedev-debuginfo-2.0.0-13.9.1
libvirt-daemon-driver-nwfilter-2.0.0-13.9.1
libvirt-daemon-driver-nwfilter-debuginfo-2.0.0-13.9.1
libvirt-daemon-driver-qemu-2.0.0-13.9.1
libvirt-daemon-driver-qemu-debuginfo-2.0.0-13.9.1
libvirt-daemon-driver-secret-2.0.0-13.9.1
libvirt-daemon-driver-secret-debuginfo-2.0.0-13.9.1
libvirt-daemon-driver-storage-2.0.0-13.9.1
libvirt-daemon-driver-storage-debuginfo-2.0.0-13.9.1
libvirt-daemon-driver-uml-2.0.0-13.9.1
libvirt-daemon-driver-uml-debuginfo-2.0.0-13.9.1
libvirt-daemon-driver-vbox-2.0.0-13.9.1
libvirt-daemon-driver-vbox-debuginfo-2.0.0-13.9.1
libvirt-daemon-lxc-2.0.0-13.9.1
libvirt-daemon-qemu-2.0.0-13.9.1
libvirt-daemon-uml-2.0.0-13.9.1
libvirt-daemon-vbox-2.0.0-13.9.1
libvirt-debugsource-2.0.0-13.9.1
libvirt-devel-2.0.0-13.9.1
libvirt-doc-2.0.0-13.9.1
libvirt-lock-sanlock-2.0.0-13.9.1
libvirt-lock-sanlock-debuginfo-2.0.0-13.9.1
libvirt-nss-2.0.0-13.9.1
libvirt-nss-debuginfo-2.0.0-13.9.1

- openSUSE Leap 42.2 (x86_64):

libvirt-client-32bit-2.0.0-13.9.1
libvirt-client-debuginfo-32bit-2.0.0-13.9.1
libvirt-daemon-driver-libxl-2.0.0-13.9.1
libvirt-daemon-driver-libxl-debuginfo-2.0.0-13.9.1
libvirt-daemon-xen-2.0.0-13.9.1
libvirt-devel-32bit-2.0.0-13.9.1


References:

https://bugzilla.suse.com/1012143
https://bugzilla.suse.com/1017189
https://bugzilla.suse.com/1031056
https://bugzilla.suse.com/1036785
https://bugzilla.suse.com/1048783
https://bugzilla.suse.com/1049505
https://bugzilla.suse.com/1051017
https://bugzilla.suse.com/1052151
https://bugzilla.suse.com/1053600


< Previous Next >
This Thread
  • No further messages